Bug 807016 - RFE: Better power management support for KVM device assignment
RFE: Better power management support for KVM device assignment
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Hai Huang
Virtualization Bugs
: FutureFeature, TestOnly
Depends On:
  Show dependency treegraph
Reported: 2012-03-26 14:56 EDT by Alex Williamson
Modified: 2014-06-17 23:15 EDT (History)
13 users (show)

See Also:
Fixed In Version: 3.10 kernel; qemu 1.5
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-13 09:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Williamson 2012-03-26 14:56:55 EDT
Description of problem:
The power management registers for an assigned device are read-only for the guest.  This works fine for most drivers, but some (tg3) refuse to release the device because of being unable to transition the power state.  Investigate either allowing power state transitions or emulating them (more likely).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attempt to hot-unplug and assigned BCM5755 or similar tg3 device
Actual results:
Guest refuses to release the device

Expected results:
Normal hotunplug

Additional info:
libvirt fails to notice the hotunplug failed
Comment 2 RHEL Product and Program Management 2012-07-10 04:52:47 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 22:04:19 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 wrob0123 2013-04-05 11:05:17 EDT
How can I get a copy of RHEL 7 to try now?
Comment 7 Alex Williamson 2013-04-05 11:46:55 EDT
(In reply to comment #6)
> How can I get a copy of RHEL 7 to try now?

There's no beta available yet.  The support we'll be targeting for this is the new vfio-based device assignment where power management is already accessible to userspace.  The 3.9 kernel has a fix to enable this and an additional fix will be in QEMU 1.5.  Please contact me if you need help getting vfio setup.  There's not yet libvirt support, but it should be available in the next upstream release.  Thanks.
Comment 8 Hai Huang 2013-08-12 08:35:23 EDT
For RHEL7, this functionality requested by this BZ is provided by VFIO, 
which is available in the 3.10 kernel and qemu 1.5.

Setting this BZ to POST (on Alex's behalf).
Comment 16 Ludek Smid 2014-06-13 09:15:54 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.